Skip to content

List image scan secrets findings

Request

List the image scan secrets findings

Security
bearer-key
Path
projectuuidstringrequired

UUID of the project

scanuuidstringrequired

scan UUID

Query
cursorstring

Parameter indicates the starting point for retrieving results, the first call doesn't include a cursor parameter in the request, the API response includes the first set of results along with a cursor pointing to the last item retrieved.

limitinteger

Specifies the maximum number of items to be returned in the response.

Default:1000
GET
/api/v3.0/projects/{projectuuid}/scans/{scanuuid}/images/findings/secrets
curl -i -X GET \
  'https://baseUrl/api/v3.0/projects/{projectuuid}/scans/{scanuuid}/images/findings/secrets?cursor=string&limit=1000' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

OK

Body*/*
additionalDataobject(common.AdditionalData)
responseArray of objects(github_com_mend_cloud-native_modules_scanner_model.SecretFinding)
supportTokenstring
Example:"659C0A4730"
Response
{
  "additionalData": {
    "error": "string",
    "paging": {
      "cursor": 5,
      "next": "https://api-saas.mend.io/api/v3.0/projects/<project_uuid>>/images/deployments?cursor=6"
    },
    "totalItems": 100
  },
  "response": [
    {
      "category": "AWS",
      "createdAt": "2020-01-01T00:00:00Z",
      "description": "AWS Access Key",
      "endLine": 35,
      "filePath": "/home/ubuntu/.aws/credentials",
      "isFromBaseLayer": 0,
      "layerId": 123456,
      "layerNumber": 1,
      "projectName": "string",
      "ruleId": "123456",
      "severity": "HIGH",
      "startLine": 15,
      "updatedAt": "2020-01-01T00:00:00Z",
      "uuid": "c4f93b6d-8236-4d0c-a67b-3978def476a3"
    }
  ],
  "supportToken": "659C0A4730"
}